summarylogtreecommitdiffstats
path: root/atom-python.patch
diff options
context:
space:
mode:
Diffstat (limited to 'atom-python.patch')
-rw-r--r--atom-python.patch22
1 files changed, 20 insertions, 2 deletions
diff --git a/atom-python.patch b/atom-python.patch
index ba5f1bd41d29..02be9cc24fcb 100644
--- a/atom-python.patch
+++ b/atom-python.patch
@@ -1,15 +1,33 @@
--- a/usr/bin/atom-beta
+++ b/usr/bin/atom-beta
-@@ -1,5 +1,8 @@
+@@ -1,5 +1,13 @@
#!/bin/bash
++# Allow users to override command-line options
++if [[ -f ~/.config/atom-editor-beta-flags.conf ]]; then
++ ATOM_USER_FLAGS="$(cat ~/.config/atom-editor-beta-flags.conf)"
++fi
++
+export PYTHON=python2
+unset GTK_IM_MODULE QT_IM_MODULE XMODIFIERS
+
if [ "$(uname)" == 'Darwin' ]; then
OS='Mac'
elif [ "$(expr substr $(uname -s) 1 5)" == 'Linux' ]; then
-
+@@ -99,11 +107,11 @@ elif [ $OS == 'Linux' ]; then
+ [ -x "$ATOM_PATH" ] || ATOM_PATH="$TMPDIR/atom-build/Atom/atom"
+
+ if [ $EXPECT_OUTPUT ]; then
+- "$ATOM_PATH" --executed-from="$(pwd)" --pid=$$ "$@"
++ "$ATOM_PATH" --executed-from="$(pwd)" --pid=$$ $ATOM_USER_FLAGS "$@"
+ exit $?
+ else
+ (
+- nohup "$ATOM_PATH" --executed-from="$(pwd)" --pid=$$ "$@" > "$ATOM_HOME/nohup.out" 2>&1
++ nohup "$ATOM_PATH" --executed-from="$(pwd)" --pid=$$ $ATOM_USER_FLAGS "$@" > "$ATOM_HOME/nohup.out" 2>&1
+ if [ $? -ne 0 ]; then
+ cat "$ATOM_HOME/nohup.out"
+ exit $?
--- a/usr/share/applications/atom-beta.desktop
+++ b/usr/share/applications/atom-beta.desktop